commit:     c92d279394039bdfcf895178b5deddfc2dab81da
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 23 06:41:12 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov 23 07:09:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c92d2793

dev-python/wheel: Bump to 0.45.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/wheel/Manifest            |  1 +
 dev-python/wheel/wheel-0.45.1.ebuild | 51 ++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-python/wheel/Manifest b/dev-python/wheel/Manifest
index 54658571ff05..a19527d88ab4 100644
--- a/dev-python/wheel/Manifest
+++ b/dev-python/wheel/Manifest
@@ -1,2 +1,3 @@
 DIST wheel-0.44.0.tar.gz 100733 BLAKE2B 
6beefa0875be52fb2dff2921cb87063bcafdf2e31c43963676fbae8aef4e68ea21675aa715f94052edc9f5e8dbbd5e2afe3abc17f521eb36b24fa628b0522bbe
 SHA512 
f0a1efbf70e8a2eebdf7564932bdfa3892940a3fbfc00f256f61be03a51ff9cc5a55570d1d3f5878670be84ab233483453ce754ea46c508574fcf4ec61d480c8
 DIST wheel-0.45.0.tar.gz 107426 BLAKE2B 
57cfbe247bbc2f0598a3ee18a1ab4b309e6ec6eb89486391bc7b5baa148736829b2620d05f1c6f75b0743ee1065ccbdc66ce690ee7efcf5f2b58519eb4cc8b25
 SHA512 
dca95cadde7c551baebde50f66ca79d4205d0a896da34b7f4f103c62fb72f78c0b9e71933564b951ab3878e6bc47d1961a73545bc0ead45e618de33b6b7cb16a
+DIST wheel-0.45.1.tar.gz 107545 BLAKE2B 
13c8d60a2e39ded3d911c9e03915b01bda201f7e8cd6de456484ce6eeb2a990861a01f26e5d9f2ac4ca0ab2b6d0fea9db437d6f82cb39db9b1059c3c53202ec0
 SHA512 
df45f00e9eaeae2f27f813f31591590c961da2f6bff15bba6fb2a14d529c221f39b29894b8da408fe49cd4b760840a0e05c4baef377ccfacd9983c0bba83d6d8

diff --git a/dev-python/wheel/wheel-0.45.1.ebuild 
b/dev-python/wheel/wheel-0.45.1.ebuild
new file mode 100644
index 000000000000..95f482c44938
--- /dev/null
+++ b/dev-python/wheel/wheel-0.45.1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 8 -- sys-apps/portage dep
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..13} python3_13t pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A built-package format for Python"
+HOMEPAGE="
+       https://github.com/pypa/wheel/
+       https://pypi.org/project/wheel/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+       dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/setuptools[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=(
+       # fails if any setuptools plugin imported the module first
+       tests/test_bdist_wheel.py::test_deprecated_import
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unbundle packaging
+       rm -r src/wheel/vendored || die
+       find -name '*.py' -exec sed -i \
+               -e 's:wheel\.vendored\.::' \
+               -e 's:\.\+vendored\.::' {} + || die
+}
+
+python_test() {
+       local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+       epytest
+}

Reply via email to